Unable to run Tutorial8

Sep 21, 2012 at 4:14 AM

Hi Experts,

I have started exploring Goblin XNA owing to my interest in Augmented Reality. I'm able to run the first tutorial as per the documentation mentioned on the site.

I'm following the documentation from the Installation Guide. I have installed ALVAR tracking library 2.0.0 (basic version) and the accompanying version of OpenCV 2.4.0. First OpenCV and then ALVAR. 

In the next step, when I open ALVARWrapper2.0.sln under the GoblinXNAv4.1\wrappers\ALVARWrapper2.0 directory using Visual C++ 2010 Express Edition it throws out an error saying: 

---------------------------Microsoft Visual C# 2010 Express---------------------------'D:\Setup\Windows Mobile\Goblin XNA\GoblinXNAv4.1\wrappers\ALVARWrapper2.0\ALVARWrapper2.0.vcxproj' cannot be opened because its project type (.vcxproj) is not supported by this version of the application. 
To open it, please use a version that supports this type of project.

 

Please help.

Best regards,

Harsh

Coordinator
Sep 21, 2012 at 9:00 AM

Your error msg says "Microsoft Visual C# 2010 Express" you need C++ version for that as mentioned in the installation guide if you don't have professional edition.

Ohan

Sep 21, 2012 at 10:06 AM

Thanks for the advice Ohan, I'll try that!

The installation guide on the Documention page, mentions: 

"Alternatively, if you do not have access to Visual Studio 2010 Professional Edition, you can use Microsoft Visual C# 2010 Express Edition, which is free. Download Microsoft Visual Studio 2010 C# Express Edition at no charge from http://www.microsoft.com/eXPress/download/#webInstall and install it. "

You might need to post the updated one.

Best regards,

Harsh

 

Coordinator
Sep 21, 2012 at 4:10 PM

You should read the installation guide carefully. It says:

"(Needed for Tutorial 8) Obtain the ALVAR tracking library 2.0.0 (basic version) and the accompanying version of OpenCV 2.4.0 from the VTT Technical Research Centre website: http://virtual.vtt.fi/virtual/proj2/multimedia/alvar.html. They will email you a link to download the necessary executables once you fill out their registration form. Make sure you download alvar-2.0.0-sdk-win32-vs2010.exe from their 2.0.0 directory and opencv-2.4.0-win32-vs2010.exe from their opencv directory (even if your PC uses Windows 7 64-bit edition). ALVAR is released under the Gnu Lesser General Public License v2.1. First, install OpenCV 2.4.0, which is required for running ALVAR 2.0.0, and then install ALVAR 2.0.0. Then, open ALVARWrapper2.0.sln under the GoblinXNAv4.1\wrappers\ALVARWrapper2.0 directory (You will need either Visual Studio 2010 Professional Edition or Visual C++ 2010 Express Edition to open this solution file, as well as ALVAR project files)."


Ohan